<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kxs.user.biz.mapper.KxsPartnerAmountLogMapper">

    <resultMap type="com.kxs.user.api.model.KxsPartnerAmountLog" id="KxsPartnerAmountLogMap">
        <result column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="version" property="version" />
        <result column="user_id" property="userId" />
        <result column="before_amount" property="beforeAmount" />
        <result column="after_amount" property="afterAmount" />
        <result column="amount" property="amount" />
        <result column="variation_type" property="variationType" />
        <result column="variation_cause" property="variationCause" />
        <result column="kind" property="kind" />
        <result column="remark" property="remark" />
        <result column="use_store_amount" property="useStoreAmount" />
        <result column="use_total_amount" property="useTotalAmount" />
        <result column="use_withdrawal_amount" property="useWithdrawalAmount" />
        <result column="after_store_amount" property="afterStoreAmount" />
        <result column="after_withdrawal_amount" property="afterWithdrawalAmount" />
        <result column="change_type" property="changeType" />

    </resultMap>

</mapper>
